Bug 957811 - CVE-2013-2298 boinc-client various flaws [fedora-all]
CVE-2013-2298 boinc-client various flaws [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: boinc-client (Show other bugs)
18
All Linux
low Severity low
: ---
: ---
Assigned To: Milos Jakubicek
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On: 1039258
Blocks: CVE-2013-2298 CVE-2013-7386
  Show dependency treegraph
 
Reported: 2013-04-29 11:01 EDT by Jan Lieskovsky
Modified: 2013-12-27 00:59 EST (History)
3 users (show)

See Also:
Fixed In Version: boinc-client-7.2.33-2.git1994cc8.fc19
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-27 00:58:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-04-29 11:01:19 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2013-04-29 11:01:28 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=957771,957811
Comment 2 Jan Lieskovsky 2013-04-29 11:01:53 EDT
Adding parent bug 957795.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=957811,957771,957795
Comment 3 Jan Lieskovsky 2013-04-29 11:03:19 EDT
And possibly also fix for SQLi from:
  http://boinc.berkeley.edu/gitweb/?p=boinc-v2.git;a=commitdiff;h=2dbfdc55057b2c1f0508b56244044b1ad34e7cdb

(if you think it should be corrected in Fedora's client code also).
Comment 4 Fedora Update System 2013-12-19 13:58:49 EST
boinc-client-7.2.33-2.git1994cc8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/boinc-client-7.2.33-2.git1994cc8.fc19
Comment 5 Fedora Update System 2013-12-19 13:59:23 EST
boinc-client-7.2.33-2.git1994cc8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/boinc-client-7.2.33-2.git1994cc8.fc20
Comment 6 Fedora Update System 2013-12-20 21:21:33 EST
Package boinc-client-7.2.33-2.git1994cc8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing boinc-client-7.2.33-2.git1994cc8.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23720/boinc-client-7.2.33-2.git1994cc8.fc19
then log in and leave karma (feedback).
Comment 7 Fedora End Of Life 2013-12-21 10:46:29 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora Update System 2013-12-27 00:58:41 EST
boinc-client-7.2.33-2.git1994cc8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-12-27 00:59:45 EST
boinc-client-7.2.33-2.git1994cc8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.